/// <reference types="node" />
/// <reference types="node" />
import { Writable } from "stream";
import { AudioMixerArgs } from "../AudioMixer/AudioMixer";
import { AudioSampleRate, AudioBitDepth, AudioEndianness } from "../Types/AudioTypes";
type SelfRemoveFunction = (audioInput: AudioInput) => void;
interface AudioInputArgs {
    sampleRate?: AudioSampleRate;
    channels?: number;
    volume?: number;
    bitDepth?: AudioBitDepth;
    endianness?: AudioEndianness;
    fillChunk?: boolean;
    forceClose?: boolean;
}
declare class AudioInput extends Writable {
    private inputOptions;
    private mixerArgs;
    private audioBuffer;
    private inputClosed;
    private removeInterval;
    private removeSelf;
    constructor(inputArgs: AudioInputArgs, mixerArgs: AudioMixerArgs, removeFunction?: SelfRemoveFunction);
    _write(chunk: Buffer, _: BufferEncoding, callback: (error?: Error) => void): void;
    get getOptions(): AudioInputArgs;
    setVolume(volume: number): this;
    setForceClose(forceClose: boolean): this;
    close(): void;
    readAudioChunk(highWaterMark: number | null): Buffer;
    private autoRemoveFunc;
}
export { AudioInput, AudioInputArgs };
