/// <reference types="node" />
import { Readable } from "stream";
import { AudioInput, AudioInputArgs } from "../AudioInput/AudioInput";
import { AudioSampleRate, AudioBitDepth, AudioEndianness } from "../Types/AudioTypes";
type delayTimeType = number | (() => number);
interface AudioMixerArgs {
    sampleRate?: AudioSampleRate;
    channels?: number;
    volume?: number;
    bitDepth?: AudioBitDepth;
    endianness?: AudioEndianness;
    highWaterMark?: number | null;
    generateSilent?: boolean;
    delayTime?: delayTimeType;
    autoClose?: boolean;
}
declare class AudioMixer extends Readable {
    private mixerOptions;
    private inputs;
    private mixerClosed;
    constructor(mixerArgs?: AudioMixerArgs);
    _read(): void;
    get getOptions(): AudioMixerArgs;
    setVolume(volume: number): this;
    setHighWaterMark(highWaterMark: number | null): this;
    setDelayTime(delayTime: delayTimeType): this;
    setAutoClose(autoClose: boolean): this;
    createAudioInput(inputArgs: AudioInputArgs): AudioInput;
    removeAudioInput(audioInput: AudioInput): this;
    close(): this;
    private loopRead;
}
export { AudioMixer, AudioMixerArgs };
